node-modules:
  stage: dependencies
  #only:
  #  changes:
  #   - yarn.lock
  script:
    - yarn --install-frozen-lockfile
  cache:
    key:
      files:
        - yarn.lock
    paths:
      - node_modules
    policy: push